com.h3c.util.persistence.cassandra.entitymgr.column

## Class ByteArrayColumn<K extends Serializable & Comparable<K>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.Column<K,byte[]>
  - - com.h3c.util.persistence.cassandra.entitymgr.column.ByteArrayColumn<K>

- Type Parameters:
    `K` - type of the column key or name
  All Implemented Interfaces:
    Visitable<ColumnVisitor<K>>

      public final class ByteArrayColumn<K extends Serializable & Comparable<K>>
      extends Column<K,byte[]>

  Represents Byte array column.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ByteArrayColumn.ByteArrayColumnDecoder<K extends Serializable & Comparable<K>>` Byte array column decoder.

  - ### Field Summary

    - ### Fields inherited from class com.h3c.util.persistence.cassandra.entitymgr.column.Column

      `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteArrayColumn(ColumnName<K,byte[]> name)` Creates a byte array column with no value.
    `ByteArrayColumn(ColumnName<K,byte[]> name, byte[] value)` Creates a byte array column.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ColumnVisitor<K> visitor)` Calls a visit method of the visitor, this class object passes itself as an argument to the visit method this class object.
    `int` | `compareTo(Column<K,byte[]> o2)`

    - ### Methods inherited from class com.h3c.util.persistence.cassandra.entitymgr.column.Column

      `equals, getName, getSerializer, getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteArrayColumn

          public ByteArrayColumn(ColumnName<K,byte[]> name)

      Creates a byte array column with no value.
      Parameters:
        `name` - column's name

    - #### ByteArrayColumn

          public ByteArrayColumn(ColumnName<K,byte[]> name,
                         byte[] value)

      Creates a byte array column.
      Parameters:
        `name` - column's name
        `value` - column's value

  - ### Method Detail

    - #### compareTo

          public int compareTo(Column<K,byte[]> o2)

      Specified by:
        `compareTo` in class `Column<K extends Serializable & Comparable<K>,byte[]>`

    - #### accept

          public void accept(ColumnVisitor<K> visitor)

      Calls a visit method of the visitor, this class object passes itself as an argument to the visit method this class object.
      Parameters:
        `visitor` - ColumnVisitor

Copyright © 2014. All Rights Reserved.